File: control

package info (click to toggle)
ruby-secure-headers 6.0.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 480 kB
  • sloc: ruby: 3,328; makefile: 2
file content (30 lines) | stat: -rw-r--r-- 1,110 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
Source: ruby-secure-headers
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Abhijith PA <abhijith@openmailbox.org>
Build-Depends: debhelper (>= 11~),
               gem2deb,
               ruby-rspec,
               ruby-useragent, 
               rake,
               ruby-rack,
               ruby-coveralls
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-secure-headers.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-secure-headers
Homepage: https://github.com/twitter/secureheaders
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-secure-headers
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ruby | ruby-interpreter,
         ruby-useragent
Description: Security related headers all in one gem
 Add easily configured security headers to responses including
 Content-Security-Policy(CSP) which helps detect/prevent XSS and mixed-contents
 x-frame-options, strict-transport-security, etc.